* [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Data-Handle/
@ 2012-08-11 1:11 Kent Fredric
0 siblings, 0 replies; 7+ messages in thread
From: Kent Fredric @ 2012-08-11 1:11 UTC (permalink / raw
To: gentoo-commits
commit: 4cbf99f39a1320ea0f3b96ae62166c2eeafe1823
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Tue Jun 7 07:06:48 2011 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sat Aug 11 01:02:28 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=4cbf99f3
[added] Data-Handle
(Portage version: 2.2.0_alpha37/git/Linux x86_64, signed Manifest commit with key BD86D695)
---
dev-perl/Data-Handle/ChangeLog | 10 +++++
.../Data-Handle/Data-Handle-0.10.117.30.ebuild | 39 ++++++++++++++++++++
dev-perl/Data-Handle/metadata.xml | 9 +++++
3 files changed, 58 insertions(+), 0 deletions(-)
diff --git a/dev-perl/Data-Handle/ChangeLog b/dev-perl/Data-Handle/ChangeLog
new file mode 100644
index 0000000..5a49ff6
--- /dev/null
+++ b/dev-perl/Data-Handle/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for dev-perl/Data-Handle
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*Data-Handle-0.10.117.30 (07 Jun 2011)
+
+ 07 Jun 2011; Kent Fredric <kentfredric@gmail.com>
+ +Data-Handle-0.10.117.30.ebuild, +metadata.xml:
+ Added
+
diff --git a/dev-perl/Data-Handle/Data-Handle-0.10.117.30.ebuild b/dev-perl/Data-Handle/Data-Handle-0.10.117.30.ebuild
new file mode 100644
index 0000000..614591e
--- /dev/null
+++ b/dev-perl/Data-Handle/Data-Handle-0.10.117.30.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI="4"
+MODULE_AUTHOR=KENTNL
+MODULE_VERSION=0.01011703
+inherit perl-module
+
+DESCRIPTION="A Very simple interface to the __DATA__ file handle."
+LICENSE="|| ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+comment() { echo ''; }
+COMMON_DEPEND="
+ $(comment virtual/perl-Carp)
+ virtual/perl-IO $(comment IO::File)
+ dev-perl/Package-Stash
+ virtual/perl-Scalar-List-Utils
+ $(comment virtual/perl-Symbol)
+ virtual/perl-Term-ANSIColor
+ $(comment virtual/perl-overload)
+ virtual/perl-parent
+"
+DEPEND="
+ ${COMMON_DEPEND}
+ $(comment virtual/perl-Data-Dumper)
+ $(comment virtual/perl-English)
+ $(comment virtual/perl-File-Find)
+ virtual/perl-File-Temp
+ virtual/perl-IO $(comment IO::Handle)
+ >=virtual/perl-Module-Build-0.36.01 $(comment 0.360.100)
+ dev-perl/Test-Fatal
+ >=virtual/perl-Test-Simple-0.96 $(comment 0.960.0)
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+"
+SRC_TEST="do"
diff --git a/dev-perl/Data-Handle/metadata.xml b/dev-perl/Data-Handle/metadata.xml
new file mode 100644
index 0000000..ccc7e0f
--- /dev/null
+++ b/dev-perl/Data-Handle/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>perl</herd>
+ <maintainer>
+ <email>kentfredric@gmail.com</email>
+ <name>Kent Fredric</name>
+ </maintainer>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Data-Handle/
@ 2012-08-11 1:11 Kent Fredric
0 siblings, 0 replies; 7+ messages in thread
From: Kent Fredric @ 2012-08-11 1:11 UTC (permalink / raw
To: gentoo-commits
commit: b47c7a762023d8a4815117e616e111d7cc5aec37
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sat Aug 11 00:58:45 2012 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sat Aug 11 01:02:36 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=b47c7a76
[newversion] Data-Handle-0.20.10.10
(Portage version: 2.2.0_alpha101/git/Linux x86_64, signed Manifest commit with key ECD2C675C102CDA4)
---
dev-perl/Data-Handle/ChangeLog | 8 ++-
dev-perl/Data-Handle/Data-Handle-0.20.10.10.ebuild | 71 ++++++++++++++++++++
2 files changed, 78 insertions(+), 1 deletions(-)
diff --git a/dev-perl/Data-Handle/ChangeLog b/dev-perl/Data-Handle/ChangeLog
index 5a49ff6..8635f28 100644
--- a/dev-perl/Data-Handle/ChangeLog
+++ b/dev-perl/Data-Handle/ChangeLog
@@ -1,7 +1,13 @@
# ChangeLog for dev-perl/Data-Handle
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*Data-Handle-0.20.10.10 (11 Aug 2012)
+
+ 11 Aug 2012; Kent Fredric <kentfredric@gmail.com>
+ +Data-Handle-0.20.10.10.ebuild:
+ Version Bump
+
*Data-Handle-0.10.117.30 (07 Jun 2011)
07 Jun 2011; Kent Fredric <kentfredric@gmail.com>
diff --git a/dev-perl/Data-Handle/Data-Handle-0.20.10.10.ebuild b/dev-perl/Data-Handle/Data-Handle-0.20.10.10.ebuild
new file mode 100644
index 0000000..5db6953
--- /dev/null
+++ b/dev-perl/Data-Handle/Data-Handle-0.20.10.10.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=KENTNL
+MODULE_VERSION=0.02001001
+inherit perl-module
+
+DESCRIPTION='A Very simple interface to the __DATA__ file handle.'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+ # Module::Build 0.3601 ( 0.360.100 )
+ echo \>=virtual/perl-Module-Build-0.36.01
+}
+perl_meta_build() {
+ # Module::Build 0.3601 ( 0.360.100 )
+ echo \>=virtual/perl-Module-Build-0.36.01
+}
+perl_meta_runtime() {
+ # Carp 1.22 ( 1.220.0 )
+ echo \>=virtual/perl-Carp-1.220.0
+ # IO::File
+ echo virtual/perl-IO
+ # Package::Stash
+ echo dev-perl/Package-Stash
+ # Scalar::Util
+ echo virtual/perl-Scalar-List-Utils
+ # Symbol
+ echo dev-lang/perl
+ # Term::ANSIColor
+ echo virtual/perl-Term-ANSIColor
+ # Try::Tiny
+ echo dev-perl/Try-Tiny
+ # overload
+ echo dev-lang/perl
+ # parent
+ echo virtual/perl-parent
+ # perl 5.008 ( 5.8.0 )
+ echo \>=dev-lang/perl-5.8.0
+ # strict
+ echo dev-lang/perl
+ # warnings
+ echo dev-lang/perl
+}
+perl_meta_test() {
+ # Data::Dumper
+ echo virtual/perl-Data-Dumper
+ # File::Find
+ echo dev-lang/perl
+ # File::Temp
+ echo virtual/perl-File-Temp
+ # IO::Handle
+ echo virtual/perl-IO
+ # Test::Fatal
+ echo dev-perl/Test-Fatal
+ # Test::More 0.96 ( 0.960.0 )
+ echo \>=virtual/perl-Test-Simple-0.96
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_build)
+ $(perl_meta_runtime)
+ test? ( $(perl_meta_test) )
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do"
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Data-Handle/
@ 2012-08-11 1:11 Kent Fredric
0 siblings, 0 replies; 7+ messages in thread
From: Kent Fredric @ 2012-08-11 1:11 UTC (permalink / raw
To: gentoo-commits
commit: 7ac0e2455d528e7bd8cbda9672b134968681a01e
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sat Aug 11 01:03:47 2012 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sat Aug 11 01:03:47 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=7ac0e245
[metadata] Add <upstream> to Data-Handle
(Portage version: 2.2.0_alpha101/git/Linux x86_64, signed Manifest commit with key ECD2C675C102CDA4)
---
dev-perl/Data-Handle/ChangeLog | 3 +++
dev-perl/Data-Handle/metadata.xml | 6 ++++++
2 files changed, 9 insertions(+), 0 deletions(-)
diff --git a/dev-perl/Data-Handle/ChangeLog b/dev-perl/Data-Handle/ChangeLog
index 8635f28..d21a762 100644
--- a/dev-perl/Data-Handle/ChangeLog
+++ b/dev-perl/Data-Handle/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 11 Aug 2012; Kent Fredric <kentfredric@gmail.com> metadata.xml:
+ Add upstream metadata
+
*Data-Handle-0.20.10.10 (11 Aug 2012)
11 Aug 2012; Kent Fredric <kentfredric@gmail.com>
diff --git a/dev-perl/Data-Handle/metadata.xml b/dev-perl/Data-Handle/metadata.xml
index ccc7e0f..bf3c247 100644
--- a/dev-perl/Data-Handle/metadata.xml
+++ b/dev-perl/Data-Handle/metadata.xml
@@ -6,4 +6,10 @@
<email>kentfredric@gmail.com</email>
<name>Kent Fredric</name>
</maintainer>
+ <upstream>
+ <remote-id type="cpan">Data-Handle</remote-id>
+ <remote-id type="cpan-module">Data::Handle</remote-id>
+ <remote-id type="cpan-module">Data::Handle::Exception</remote-id>
+ <remote-id type="cpan-module">Data::Handle::IO</remote-id>
+ </upstream>
</pkgmetadata>
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Data-Handle/
@ 2012-08-12 12:07 Kent Fredric
0 siblings, 0 replies; 7+ messages in thread
From: Kent Fredric @ 2012-08-12 12:07 UTC (permalink / raw
To: gentoo-commits
commit: 44c937076bc66c4c2f1bbf3b39128912d92ca896
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sat Aug 11 05:43:46 2012 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sat Aug 11 05:43:46 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=44c93707
[newversion] Data-Handle-0.20.10.20
(Portage version: 2.2.0_alpha101/git/Linux x86_64, signed Manifest commit with key ECD2C675C102CDA4)
---
dev-perl/Data-Handle/ChangeLog | 6 ++
dev-perl/Data-Handle/Data-Handle-0.20.10.20.ebuild | 71 ++++++++++++++++++++
2 files changed, 77 insertions(+), 0 deletions(-)
diff --git a/dev-perl/Data-Handle/ChangeLog b/dev-perl/Data-Handle/ChangeLog
index d21a762..26dad5f 100644
--- a/dev-perl/Data-Handle/ChangeLog
+++ b/dev-perl/Data-Handle/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*Data-Handle-0.20.10.20 (11 Aug 2012)
+
+ 11 Aug 2012; Kent Fredric <kentfredric@gmail.com>
+ +Data-Handle-0.20.10.20.ebuild:
+ Version Bump
+
11 Aug 2012; Kent Fredric <kentfredric@gmail.com> metadata.xml:
Add upstream metadata
diff --git a/dev-perl/Data-Handle/Data-Handle-0.20.10.20.ebuild b/dev-perl/Data-Handle/Data-Handle-0.20.10.20.ebuild
new file mode 100644
index 0000000..89bd26d
--- /dev/null
+++ b/dev-perl/Data-Handle/Data-Handle-0.20.10.20.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=KENTNL
+MODULE_VERSION=0.02001002
+inherit perl-module
+
+DESCRIPTION='A Very simple interface to the __DATA__ file handle.'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+ # Module::Build 0.4002 ( 0.400.200 )
+ echo \>=virtual/perl-Module-Build-0.400.200
+}
+perl_meta_build() {
+ # Module::Build 0.4002 ( 0.400.200 )
+ echo \>=virtual/perl-Module-Build-0.400.200
+}
+perl_meta_runtime() {
+ # Carp 1.22 ( 1.220.0 )
+ echo \>=virtual/perl-Carp-1.220.0
+ # IO::File
+ echo virtual/perl-IO
+ # Package::Stash
+ echo dev-perl/Package-Stash
+ # Scalar::Util
+ echo virtual/perl-Scalar-List-Utils
+ # Symbol
+ echo dev-lang/perl
+ # Term::ANSIColor
+ echo virtual/perl-Term-ANSIColor
+ # Try::Tiny
+ echo dev-perl/Try-Tiny
+ # overload
+ echo dev-lang/perl
+ # parent
+ echo virtual/perl-parent
+ # perl 5.008 ( 5.8.0 )
+ echo \>=dev-lang/perl-5.8.0
+ # strict
+ echo dev-lang/perl
+ # warnings
+ echo dev-lang/perl
+}
+perl_meta_test() {
+ # Data::Dumper
+ echo virtual/perl-Data-Dumper
+ # File::Find
+ echo dev-lang/perl
+ # File::Temp
+ echo virtual/perl-File-Temp
+ # IO::Handle
+ echo virtual/perl-IO
+ # Test::Fatal
+ echo dev-perl/Test-Fatal
+ # Test::More 0.98 ( 0.980.0 )
+ echo \>=virtual/perl-Test-Simple-0.980.0
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_build)
+ $(perl_meta_runtime)
+ test? ( $(perl_meta_test) )
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do"
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Data-Handle/
@ 2013-02-08 10:36 Kent Fredric
0 siblings, 0 replies; 7+ messages in thread
From: Kent Fredric @ 2013-02-08 10:36 UTC (permalink / raw
To: gentoo-commits
commit: dd57cd8da2d463445f937d9d949897c7731108d9
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Thu Feb 7 18:15:55 2013 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Thu Feb 7 18:15:55 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=dd57cd8d
[cpanclean] Data-Handle-0.10.117.30
Package-Manager: portage-2.2.0_alpha141
Manifest-Sign-Key: ECD2C675C102CDA4
---
dev-perl/Data-Handle/ChangeLog | 6 +++-
.../Data-Handle/Data-Handle-0.10.117.30.ebuild | 39 --------------------
2 files changed, 5 insertions(+), 40 deletions(-)
diff --git a/dev-perl/Data-Handle/ChangeLog b/dev-perl/Data-Handle/ChangeLog
index 26dad5f..425e530 100644
--- a/dev-perl/Data-Handle/ChangeLog
+++ b/dev-perl/Data-Handle/ChangeLog
@@ -1,7 +1,11 @@
# ChangeLog for dev-perl/Data-Handle
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 07 Feb 2013; Kent Fredric <kentfredric@gmail.com>
+ -Data-Handle-0.10.117.30.ebuild:
+ Gone on CPAN
+
*Data-Handle-0.20.10.20 (11 Aug 2012)
11 Aug 2012; Kent Fredric <kentfredric@gmail.com>
diff --git a/dev-perl/Data-Handle/Data-Handle-0.10.117.30.ebuild b/dev-perl/Data-Handle/Data-Handle-0.10.117.30.ebuild
deleted file mode 100644
index 614591e..0000000
--- a/dev-perl/Data-Handle/Data-Handle-0.10.117.30.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-EAPI="4"
-MODULE_AUTHOR=KENTNL
-MODULE_VERSION=0.01011703
-inherit perl-module
-
-DESCRIPTION="A Very simple interface to the __DATA__ file handle."
-LICENSE="|| ( Artistic GPL-2 )"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-comment() { echo ''; }
-COMMON_DEPEND="
- $(comment virtual/perl-Carp)
- virtual/perl-IO $(comment IO::File)
- dev-perl/Package-Stash
- virtual/perl-Scalar-List-Utils
- $(comment virtual/perl-Symbol)
- virtual/perl-Term-ANSIColor
- $(comment virtual/perl-overload)
- virtual/perl-parent
-"
-DEPEND="
- ${COMMON_DEPEND}
- $(comment virtual/perl-Data-Dumper)
- $(comment virtual/perl-English)
- $(comment virtual/perl-File-Find)
- virtual/perl-File-Temp
- virtual/perl-IO $(comment IO::Handle)
- >=virtual/perl-Module-Build-0.36.01 $(comment 0.360.100)
- dev-perl/Test-Fatal
- >=virtual/perl-Test-Simple-0.96 $(comment 0.960.0)
-"
-RDEPEND="
- ${COMMON_DEPEND}
-"
-SRC_TEST="do"
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Data-Handle/
@ 2015-03-26 1:03 Kent Fredric
0 siblings, 0 replies; 7+ messages in thread
From: Kent Fredric @ 2015-03-26 1:03 UTC (permalink / raw
To: gentoo-commits
commit: 3e965850739432c7336a64a0888ed23e3bd1f15d
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Thu Mar 26 00:18:39 2015 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Thu Mar 26 00:18:39 2015 +0000
URL: https://gitweb.gentoo.org/proj/perl-overlay.git/commit/?id=3e965850
[bump] Data-Handle-1.0.0
Package-Manager: portage-2.2.17
dev-perl/Data-Handle/Data-Handle-0.20.10.20.ebuild | 71 ----------------------
dev-perl/Data-Handle/Data-Handle-1.0.0.ebuild | 28 +++++++++
2 files changed, 28 insertions(+), 71 deletions(-)
diff --git a/dev-perl/Data-Handle/Data-Handle-0.20.10.20.ebuild b/dev-perl/Data-Handle/Data-Handle-0.20.10.20.ebuild
deleted file mode 100644
index 89bd26d..0000000
--- a/dev-perl/Data-Handle/Data-Handle-0.20.10.20.ebuild
+++ /dev/null
@@ -1,71 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-EAPI=4
-MODULE_AUTHOR=KENTNL
-MODULE_VERSION=0.02001002
-inherit perl-module
-
-DESCRIPTION='A Very simple interface to the __DATA__ file handle.'
-LICENSE=" || ( Artistic GPL-2 )"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-perl_meta_configure() {
- # Module::Build 0.4002 ( 0.400.200 )
- echo \>=virtual/perl-Module-Build-0.400.200
-}
-perl_meta_build() {
- # Module::Build 0.4002 ( 0.400.200 )
- echo \>=virtual/perl-Module-Build-0.400.200
-}
-perl_meta_runtime() {
- # Carp 1.22 ( 1.220.0 )
- echo \>=virtual/perl-Carp-1.220.0
- # IO::File
- echo virtual/perl-IO
- # Package::Stash
- echo dev-perl/Package-Stash
- # Scalar::Util
- echo virtual/perl-Scalar-List-Utils
- # Symbol
- echo dev-lang/perl
- # Term::ANSIColor
- echo virtual/perl-Term-ANSIColor
- # Try::Tiny
- echo dev-perl/Try-Tiny
- # overload
- echo dev-lang/perl
- # parent
- echo virtual/perl-parent
- # perl 5.008 ( 5.8.0 )
- echo \>=dev-lang/perl-5.8.0
- # strict
- echo dev-lang/perl
- # warnings
- echo dev-lang/perl
-}
-perl_meta_test() {
- # Data::Dumper
- echo virtual/perl-Data-Dumper
- # File::Find
- echo dev-lang/perl
- # File::Temp
- echo virtual/perl-File-Temp
- # IO::Handle
- echo virtual/perl-IO
- # Test::Fatal
- echo dev-perl/Test-Fatal
- # Test::More 0.98 ( 0.980.0 )
- echo \>=virtual/perl-Test-Simple-0.980.0
-}
-DEPEND="
- $(perl_meta_configure)
- $(perl_meta_build)
- $(perl_meta_runtime)
- test? ( $(perl_meta_test) )
-"
-RDEPEND="
- $(perl_meta_runtime)
-"
-SRC_TEST="do"
diff --git a/dev-perl/Data-Handle/Data-Handle-1.0.0.ebuild b/dev-perl/Data-Handle/Data-Handle-1.0.0.ebuild
new file mode 100644
index 0000000..663fdbe
--- /dev/null
+++ b/dev-perl/Data-Handle/Data-Handle-1.0.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=5
+MODULE_AUTHOR=KENTNL
+MODULE_VERSION=1.000000
+inherit perl-module
+
+DESCRIPTION='A Very simple interface to the __DATA__ file handle.'
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+# IO::File -> IO
+# Symbol -> perl
+RDEPEND="
+ >=virtual/perl-Carp-1.220.0
+ virtual/perl-IO
+ >=dev-perl/Package-Stash-0.15
+ virtual/perl-Scalar-List-Utils
+ virtual/perl-Term-ANSIColor
+ dev-perl/Try-Tiny
+ virtual/perl-parent
+"
+DEPEND="
+ ${RDEPEND}
+ virtual/perl-ExtUtils-MakeMaker
+"
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Data-Handle/
@ 2015-03-26 1:03 Kent Fredric
0 siblings, 0 replies; 7+ messages in thread
From: Kent Fredric @ 2015-03-26 1:03 UTC (permalink / raw
To: gentoo-commits
commit: c02c77b8d117d46cc67d3fa66ea70cb17b7df035
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Thu Mar 26 00:12:21 2015 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Thu Mar 26 00:12:21 2015 +0000
URL: https://gitweb.gentoo.org/proj/perl-overlay.git/commit/?id=c02c77b8
[cleanup] Data-Handle: Remove old versions
Package-Manager: portage-2.2.17
dev-perl/Data-Handle/Data-Handle-0.20.10.10.ebuild | 71 ----------------------
1 file changed, 71 deletions(-)
diff --git a/dev-perl/Data-Handle/Data-Handle-0.20.10.10.ebuild b/dev-perl/Data-Handle/Data-Handle-0.20.10.10.ebuild
deleted file mode 100644
index 5db6953..0000000
--- a/dev-perl/Data-Handle/Data-Handle-0.20.10.10.ebuild
+++ /dev/null
@@ -1,71 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-EAPI=4
-MODULE_AUTHOR=KENTNL
-MODULE_VERSION=0.02001001
-inherit perl-module
-
-DESCRIPTION='A Very simple interface to the __DATA__ file handle.'
-LICENSE=" || ( Artistic GPL-2 )"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-perl_meta_configure() {
- # Module::Build 0.3601 ( 0.360.100 )
- echo \>=virtual/perl-Module-Build-0.36.01
-}
-perl_meta_build() {
- # Module::Build 0.3601 ( 0.360.100 )
- echo \>=virtual/perl-Module-Build-0.36.01
-}
-perl_meta_runtime() {
- # Carp 1.22 ( 1.220.0 )
- echo \>=virtual/perl-Carp-1.220.0
- # IO::File
- echo virtual/perl-IO
- # Package::Stash
- echo dev-perl/Package-Stash
- # Scalar::Util
- echo virtual/perl-Scalar-List-Utils
- # Symbol
- echo dev-lang/perl
- # Term::ANSIColor
- echo virtual/perl-Term-ANSIColor
- # Try::Tiny
- echo dev-perl/Try-Tiny
- # overload
- echo dev-lang/perl
- # parent
- echo virtual/perl-parent
- # perl 5.008 ( 5.8.0 )
- echo \>=dev-lang/perl-5.8.0
- # strict
- echo dev-lang/perl
- # warnings
- echo dev-lang/perl
-}
-perl_meta_test() {
- # Data::Dumper
- echo virtual/perl-Data-Dumper
- # File::Find
- echo dev-lang/perl
- # File::Temp
- echo virtual/perl-File-Temp
- # IO::Handle
- echo virtual/perl-IO
- # Test::Fatal
- echo dev-perl/Test-Fatal
- # Test::More 0.96 ( 0.960.0 )
- echo \>=virtual/perl-Test-Simple-0.96
-}
-DEPEND="
- $(perl_meta_configure)
- $(perl_meta_build)
- $(perl_meta_runtime)
- test? ( $(perl_meta_test) )
-"
-RDEPEND="
- $(perl_meta_runtime)
-"
-SRC_TEST="do"
^ permalink raw reply related [flat|nested] 7+ messages in thread
end of thread, other threads:[~2015-03-26 1:03 UTC | newest]
Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-02-08 10:36 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Data-Handle/ Kent Fredric
-- strict thread matches above, loose matches on Subject: below --
2015-03-26 1:03 Kent Fredric
2015-03-26 1:03 Kent Fredric
2012-08-12 12:07 Kent Fredric
2012-08-11 1:11 Kent Fredric
2012-08-11 1:11 Kent Fredric
2012-08-11 1:11 Kent Fredric
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox